/*
 * This file is part of Skyward Hub.
 *
 * Skyward Hub is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Skyward Hub is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Skyward Hub. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#include "EmptyModule.h"

#include <Core/ModulesManager/ModulesManager.h>

#include <QAction>
#include <QMessageBox>
#include <QPoint>

#include "ui_EmptyModule.h"

EmptyModule::EmptyModule() : DefaultModule(), ui(new Ui::EmptyModule)
{
    ui->setupUi(this);
    defaultContextMenuSetup();
    connectUiSlots();
}

EmptyModule::~EmptyModule() { delete ui; }

void EmptyModule::connectUiSlots()
{
    connect(ui->selectPanel_button, &QPushButton::clicked, this,
            &EmptyModule::onSelectPanelClick);
}

void EmptyModule::onSelectPanelClick() { onReplaceClicked(); }

QWidget* EmptyModule::toWidget() { return this; }

XmlObject EmptyModule::toXmlObject()
{
    return XmlObject(getName(ModuleId::EMPTY));
}

void EmptyModule::fromXmlObject(const XmlObject& xmlObject)
{
    Q_UNUSED(xmlObject);
}
