/*
 * This file is part of Skyward Hub.
 *
 * Skyward Hub is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Skyward Hub is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Skyward Hub. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#pragma once

#include <QSerialPort>

#include "MavlinkPort.h"

class SerialPort : public MavlinkPort
{
    Q_OBJECT
public:
    SerialPort(QObject *parent = nullptr);

    bool open(QString portName, int baudRate);
    void close() override;
    bool isOpen() override;
    void writeBytes(const char *data, qsizetype len) override;

private slots:
    void onReadyRead();

private:
    QSerialPort serial;
};