/*
 * This file is part of Skyward Hub.
 *
 * Skyward Hub is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Skyward Hub is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Skyward Hub. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#pragma once

#include "BaseMavlinkModule.h"
#include "Ports/SerialPort.h"

class SerialMavlinkModule : public BaseMavlinkModule
{
    Q_OBJECT
public:
    explicit SerialMavlinkModule(QWidget *parent = nullptr);

private slots:
    void onRefreshClicked();

private:
    void childSetupUi();
    void childDisableControls() override;
    void childEnableControls() override;

    XmlObject childToXmlObject() override;
    void childFromXmlObject(const XmlObject &obj) override;
    bool open() override;

    void fillPortsComboBox();

    SerialPort serial;

    QComboBox *portsComboBox;
    QPushButton *refreshButton;
    QComboBox *baudrateComboBox;
};